Package org.eclipse.ecf.remoteservice.rest.client

# Class HttpPutRequestType

java.lang.Object
org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType
org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType
org.eclipse.ecf.remoteservice.rest.client.HttpPutRequestType

All Implemented Interfaces:
  `IRemoteCallableRequestType`

public class HttpPutRequestType extends AbstractEntityRequestType

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

`BYTEARRAY_REQUEST_ENTITY, CHARSET_PARAM_NAME, CONTENT_LENGTH_AUTO, CONTENT_LENGTH_PARAM_NAME, CONTENT_TYPE_PARAM_NAME, defaultCharset, defaultContentLength, defaultContentType, FILE_REQUEST_ENTITY, INPUT_STREAM_REQUEST_ENTITY, NO_REQUEST_ENTITY, requestEntityType, STRING_REQUEST_ENTITY`

### Fields inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`defaultRequestHeaders`

## Constructor Summary

Constructors
Constructor
Description
`HttpPutRequestType()`
`HttpPutRequestType(int requestEntityType, String defaultContentType)`
`HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength)`
`HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset)`
`HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset, Map defaultRequestHeaders)`
`HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, Map defaultRequestHeaders)`
`HttpPutRequestType(int requestEntityType, String defaultContentType, Map defaultRequestHeaders)`
`HttpPutRequestType(int requestEntityType, Map defaultRequestHeaders)`
`HttpPutRequestType(Map defaultRequestHeaders)`

## Method Summary

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType

`generateRequestEntity, getCharset, getContentLength, getContentType, useRequestEntity`

### Methods inherited from class org.eclipse.ecf.remoteservice.rest.client.AbstractRequestType

`getDefaultRequestHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset, Map defaultRequestHeaders)

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, String defaultCharset)

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength, Map defaultRequestHeaders)

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, String defaultContentType, long defaultContentLength)

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, String defaultContentType, Map defaultRequestHeaders)

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, String defaultContentType)

### HttpPutRequestType

public HttpPutRequestType(int requestEntityType, Map defaultRequestHeaders)

### HttpPutRequestType

public HttpPutRequestType(Map defaultRequestHeaders)

### HttpPutRequestType

public HttpPutRequestType()